Skip to main content
GET
/
sales-agents
List sales agents
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/sales-agents \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "agentId": "<string>",
      "type": "SALES",
      "name": "<string>",
      "endpointUrl": "<string>",
      "protocol": "MCP",
      "authenticationType": "API_KEY",
      "requiresOperatorAuth": true,
      "status": "PENDING",
      "relationship": "SELF",
      "requiresAccount": true,
      "authConfigured": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "billingOptions": {
        "default": "<string>",
        "supported": [
          "<string>"
        ]
      },
      "customerAccounts": [
        {
          "accountIdentifier": "<string>",
          "status": "<string>"
        }
      ],
      "capabilities": {
        "version": "v2",
        "protocols": [
          "<string>"
        ],
        "extensions": [
          "<string>"
        ],
        "features": {
          "inlineCreativeManagement": true,
          "propertyListFiltering": true,
          "contentStandards": true,
          "conversionTracking": true,
          "audienceManagement": true
        },
        "sandbox": true,
        "accounts": {
          "requireOperatorAuth": true,
          "defaultBilling": "<string>",
          "supportedBillings": [
            "<string>"
          ]
        },
        "publisherDomains": [
          "<string>"
        ],
        "channels": [
          "<string>"
        ],
        "lastUpdated": "<string>"
      },
      "oauth": {
        "authorizationUrl": "<string>",
        "agentId": "<string>",
        "agentName": "<string>"
      }
    }
  ],
  "total": 4503599627370495,
  "hasMore": true,
  "nextOffset": 4503599627370495
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

status
enum<string>

Filter by agent status

Available options:
PENDING,
ACTIVE
relationship
enum<string>

Filter by relationship: SELF = owned by you, MARKETPLACE = all other marketplace agents

Available options:
SELF,
MARKETPLACE
name
string

Filter by agent name (partial match, case-insensitive)

supportsRegistration
enum<string>

When true, return only agents that require operator authentication (require_operator_auth = true)

Available options:
true,
false
limit
integer

Maximum number of agents to return per page (default: 10, max: 10)

Required range: x <= 10
offset
integer

Number of agents to skip for pagination (default: 0)

Required range: 0 <= x <= 9007199254740991

Response

List sales agents

Paginated list of agents

items
object[]
required

List of agents for the current page

total
integer
required

Total number of agents matching the query

Required range: 0 <= x <= 9007199254740991
hasMore
boolean
required

Whether there are more items available beyond this page. When true, use nextOffset to fetch the next page.

nextOffset
integer | null
required

The offset to use for the next page of results. Pass this as the offset parameter to get the next page. Null when there are no more results.

Required range: 0 <= x <= 9007199254740991